/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#gifIngresos").hide();
$("#gifDetalles").hide();

var rowSelected = null;
var semaforo = 0;

$("#otros").change(function () {
    var concepto = $(this).val();
    buscarOtrosIngresos(concepto);
});

$("#buscarPorFecha").click(function () {
    var fA = $("#fA").val();
    var fB = $("#fB").val();
    var idePla = $("#idePla").val();
    var usu = $("#ideUsu").val();
    buscarPagos(fA, fB, idePla, usu);
});

$("#buscarPorFechaPdf").click(function () {
    var fA = $("#fA").val();
    var fB = $("#fB").val();
    var idePla = $("#idePla").val();
    window.open("/ControlCeepam/web/app_dev.php/imp-ing-detalles" + "?fA=" + fA + "&fB=" + fB + "&idePla=" + idePla, "_blank")
});
$("#buscarPorFechaExportar").click(function () {
    var fA = $("#fA").val();
    var fB = $("#fB").val();
    var idePla = $("#idePla").val();
    window.open("/ControlCeepam/web/app_dev.php/exp-ing-detalles" + "?fA=" + fA + "&fB=" + fB + "&idePla=" + idePla, "_blank")
});

function seleccionarFila(id) {
    if (semaforo == 0) { // peticiónLibre
        semaforo = 1;
        if (rowSelected != null) {
            var filas = document.getElementsByClassName('filas');
            for (i = 0; i < filas.length; i++) {
                filas[i].style.backgroundColor = "";
                filas[i].style.fontWeight = "";
            }
            document.getElementById("tot-" + rowSelected).style.backgroundColor = "";
            document.getElementById("tot-" + rowSelected).style.color = "";
            rowSelected = id;
            document.getElementById(id).style.backgroundColor = '#58B947';
            document.getElementById(id).style.fontWeight = 'bolder';
            document.getElementById("tot-" + id).style.backgroundColor = '#286090';
            document.getElementById("tot-" + id).style.color = '#FFF';
            document.getElementById('tituloDetalles').innerHTML = '<i class="fa fa-list-ol fa-fw"></i> DETALLES DE-> <strong style="color:red;">' + id + '</strong>';

            var fA = $("#fA").val();
            var fB = $("#fB").val();
            var idePla = $("#idePla").val();
            var usu = $("#ideUsu").val();

            buscarDetallesPagos(fA, fB, idePla, usu, id);
        } else {
            rowSelected = id;
            document.getElementById(id).style.backgroundColor = '#58B947';
            document.getElementById(id).style.fontWeight = 'bolder';
            document.getElementById("tot-" + id).style.backgroundColor = '#286090';
            document.getElementById("tot-" + id).style.color = '#FFF';
            document.getElementById('tituloDetalles').innerHTML = '<i class="fa fa-list-ol fa-fw"></i> DETALLES DE-> <strong style="color:red;">' + id + '</strong>';

            var fA = $("#fA").val();
            var fB = $("#fB").val();
            var idePla = $("#idePla").val();
            var usu = $("#ideUsu").val();

            buscarDetallesPagos(fA, fB, idePla, usu, id);
        }

    } else { //peticiónEnCurso
        alert("Se está realziando una consulta: Espere ...");
    }
}

function buscarPagos(fA, fB, idePla, usu) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/buscar-egresos-vista-contador',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {fA: fA, fB: fB, idePla, usu: usu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gifIngresos").show();
            document.getElementById("contenedor-ingresos").innerHTML = "";
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gifIngresos").hide();
            document.getElementById("contenedor-ingresos").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gifIngresos").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function buscarDetallesPagos(fA, fB, idePla, usu, concepto) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/buscar-pagos-vista-contador-detalles',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {fA: fA, fB: fB, idePla, usu: usu, concepto: concepto},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gifDetalles").show();
            document.getElementById("contenedor-detalles").innerHTML = "";
            document.getElementById("contenedor-detalles").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gifDetalles").hide();
            document.getElementById("contenedor-detalles").innerHTML = respuesta;
            semaforo = 0;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gifDetalles").hide();
            semaforo = 0;
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}